org.eclipse.ecf.remoteservice

## Interface IRemoteServiceID

All Superinterfaces:
  Comparable, org.eclipse.core.runtime.IAdaptable, ID, Principal, Serializable

All Known Implementing Classes:
  RemoteServiceID

    public interface IRemoteServiceID
    extends ID

Remote service ID.

Since:
  3.0

### Method Summary

All Methods Instance Methods Abstract Methods
`ID` `getContainerID()` Get the container ID for this remote service.
`long` `getContainerRelativeID()` Get container-relative ID for the remote service identified

### Methods inherited from interface org.eclipse.ecf.core.identity.ID

`equals, getName, getNamespace, hashCode, toExternalForm`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface java.security.Principal

`implies, toString`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Method Detail

#### getContainerID

    ID getContainerID()

Get the container ID for this remote service. Will not return `null`.

Returns:
  ID the ID for the container associated with this remote service. Will not return `null`.

#### getContainerRelativeID

    long getContainerRelativeID()

Get container-relative ID for the remote service identified

Returns:
  int the container-relative ID.